Eric4 Editor installieren...

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Eric4 Editor installieren...

Beitragvon Leonidas » Dienstag 27. Februar 2007, 16:42

EDIT (jens): Abgetrennt von http://www.python-forum.de/post-60268.html#60268

jens hat geschrieben:Dennoch hab ich es mal versucht und scheitere an der Installation von SIP.

Wenn du PyQt4 hast, dann brauchst du kein SIP.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Benutzeravatar
jens
Moderator
Beiträge: 8458
Registriert: Dienstag 10. August 2004, 09:40
Wohnort: duisburg
Kontaktdaten:

Beitragvon jens » Dienstag 27. Februar 2007, 16:47

PyQt4 kann man allerdings nicht ohne SIP installieren ;)
[code=]Traceback (most recent call last):
File "configure.py", line 30, in ?
import sipconfig
ImportError: No module named sipconfig[/code]

CMS in Python: http://www.pylucid.org
GitHub | Open HUB | Xing | Linked in
Bitcoins to: 1JEgSQepxGjdprNedC9tXQWLpS424AL8cd
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Dienstag 27. Februar 2007, 17:06

Du kannst ja auch einfach ein PyQt4 Binary nehmen, oder?
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Benutzeravatar
jens
Moderator
Beiträge: 8458
Registriert: Dienstag 10. August 2004, 09:40
Wohnort: duisburg
Kontaktdaten:

Beitragvon jens » Dienstag 27. Februar 2007, 17:09

Ja, schon... Jedoch gibt es bei http://www.riverbankcomputing.com/Downloads/PyQt4/GPL/ nur ein Binary für Python 2.5 nicht aber für 2.4 :(

CMS in Python: http://www.pylucid.org
GitHub | Open HUB | Xing | Linked in
Bitcoins to: 1JEgSQepxGjdprNedC9tXQWLpS424AL8cd
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Dienstag 27. Februar 2007, 17:22

Man kann ihnen nicht wirklich einen Vorwurf machen, eine Version online zu stellen die gegen die aktuelle Python-Version kompiliert ist. Python 2.5 final gibt es seit dem 19. September 2006, also seit 5 Monaten. Das erste Python 2.5 alpha gibt es schon seit 5. April 2006. Wenn das nicht Zeit genug ist, dass sich eine neue Version durchsetzt...

P.S.: Jens, wenn du Thread abtrennst, dann schreib das bitte auch dazu, sonst entstehen so abgehackte Threads bei denen man nicht weiß wo sie herkommen und warum sie so abgehackt wirken (und wo der ursprüngliche Thread ist).
My god, it's full of CARs! | Leonidasvoice vs Modvoice

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder